org.modeshape.webdav

## Class WebdavStatus

- java.lang.Object
- - org.modeshape.webdav.WebdavStatus

-     public class WebdavStatus
      extends Object

  Wraps the HttpServletResponse class to abstract the specific protocol used. To support other protocols we would only need to modify this class and the WebDavRetCode classes.
  Version:
    1.0, 16 Nov 1997

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SC_ACCEPTED` Status code (202) indicating that a request was accepted for processing, but was not completed.
    `static int` | `SC_BAD_GATEWAY` Status code (502) indicating that the HTTP server received an invalid response from a server it consulted when acting as a proxy or gateway.
    `static int` | `SC_BAD_REQUEST` Status code (400) indicating the request sent by the client was syntactically incorrect.
    `static int` | `SC_CONFLICT` Status code (409) indicating that the request could not be completed due to a conflict with the current state of the resource.
    `static int` | `SC_CONTINUE` Status code (100) indicating the client may continue with its request.
    `static int` | `SC_CREATED` Status code (201) indicating the request succeeded and created a new resource on the server.
    `static int` | `SC_FAILED_DEPENDENCY` The 424 (Failed Dependency) status code means that the method could not be performed on the resource because the requested action depended on another action and that action failed.
    `static int` | `SC_FORBIDDEN` Status code (403) indicating the server understood the request but refused to fulfill it.
    `static int` | `SC_INSUFFICIENT_SPACE_ON_RESOURCE` Status code (419) indicating that the resource does not have sufficient space to record the state of the resource after the execution of this method.
    `static int` | `SC_INTERNAL_SERVER_ERROR` Status code (500) indicating an error inside the HTTP service which prevented it from fulfilling the request.
    `static int` | `SC_LOCKED` Status code (423) indicating the destination resource of a method is locked, and either the request did not contain a valid Lock-Info header, or the Lock-Info header identifies a lock held by another principal.
    `static int` | `SC_METHOD_FAILURE` Status code (420) indicating the method was not executed on a particular resource within its scope because some part of the method's execution failed causing the entire method to be aborted.
    `static int` | `SC_METHOD_NOT_ALLOWED` Status code (405) indicating the method specified is not allowed for the resource.
    `static int` | `SC_MOVED_PERMANENTLY` Status code (301) indicating that the resource has permanently moved to a new location, and that future references should use a new URI with their requests.
    `static int` | `SC_MOVED_TEMPORARILY` Status code (302) indicating that the resource has temporarily moved to another location, but that future references should still use the original URI to access the resource.
    `static int` | `SC_MULTI_STATUS` Status code (207) indicating that the response requires providing status for multiple independent operations.
    `static int` | `SC_NO_CONTENT` Status code (204) indicating that the request succeeded but that there was no new information to return.
    `static int` | `SC_NOT_FOUND` Status code (404) indicating that the requested resource is not available.
    `static int` | `SC_NOT_IMPLEMENTED` Status code (501) indicating the HTTP service does not support the functionality needed to fulfill the request.
    `static int` | `SC_NOT_MODIFIED` Status code (304) indicating that a conditional GET operation found that the resource was available and not modified.
    `static int` | `SC_OK` Status code (200) indicating the request succeeded normally.
    `static int` | `SC_PRECONDITION_FAILED` Status code (412) indicating the precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.
    `static int` | `SC_REQUEST_TOO_LONG` Status code (413) indicating the server is refusing to process a request because the request entity is larger than the server is willing or able to process.
    `static int` | `SC_SERVICE_UNAVAILABLE` Status code (503) indicating that the HTTP service is temporarily overloaded, and unable to handle the request.
    `static int` | `SC_UNAUTHORIZED` Status code (401) indicating that the request requires HTTP authentication.
    `static int` | `SC_UNPROCESSABLE_ENTITY` Status code (418) indicating the entity body submitted with the PATCH method was not understood by the resource.
    `static int` | `SC_UNSUPPORTED_MEDIA_TYPE` Status code (415) indicating the server is refusing to service the request because the entity of the request is in a format not supported by the requested resource for the requested method.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebdavStatus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getStatusText(int nHttpStatusCode)` Returns the HTTP status text for the HTTP or WebDav status code specified by looking it up in the static mapping.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SC_OK

          public static final int SC_OK

      Status code (200) indicating the request succeeded normally.
      See Also:
        Constant Field Values

    - #### SC_CREATED

          public static final int SC_CREATED

      Status code (201) indicating the request succeeded and created a new resource on the server.
      See Also:
        Constant Field Values

    - #### SC_ACCEPTED

          public static final int SC_ACCEPTED

      Status code (202) indicating that a request was accepted for processing, but was not completed.
      See Also:
        Constant Field Values

    - #### SC_NO_CONTENT

          public static final int SC_NO_CONTENT

      Status code (204) indicating that the request succeeded but that there was no new information to return.
      See Also:
        Constant Field Values

    - #### SC_MOVED_PERMANENTLY

          public static final int SC_MOVED_PERMANENTLY

      Status code (301) indicating that the resource has permanently moved to a new location, and that future references should use a new URI with their requests.
      See Also:
        Constant Field Values

    - #### SC_MOVED_TEMPORARILY

          public static final int SC_MOVED_TEMPORARILY

      Status code (302) indicating that the resource has temporarily moved to another location, but that future references should still use the original URI to access the resource.
      See Also:
        Constant Field Values

    - #### SC_NOT_MODIFIED

          public static final int SC_NOT_MODIFIED

      Status code (304) indicating that a conditional GET operation found that the resource was available and not modified.
      See Also:
        Constant Field Values

    - #### SC_BAD_REQUEST

          public static final int SC_BAD_REQUEST

      Status code (400) indicating the request sent by the client was syntactically incorrect.
      See Also:
        Constant Field Values

    - #### SC_UNAUTHORIZED

          public static final int SC_UNAUTHORIZED

      Status code (401) indicating that the request requires HTTP authentication.
      See Also:
        Constant Field Values

    - #### SC_FORBIDDEN

          public static final int SC_FORBIDDEN

      Status code (403) indicating the server understood the request but refused to fulfill it.
      See Also:
        Constant Field Values

    - #### SC_NOT_FOUND

          public static final int SC_NOT_FOUND

      Status code (404) indicating that the requested resource is not available.
      See Also:
        Constant Field Values

    - #### SC_INTERNAL_SERVER_ERROR

          public static final int SC_INTERNAL_SERVER_ERROR

      Status code (500) indicating an error inside the HTTP service which prevented it from fulfilling the request.
      See Also:
        Constant Field Values

    - #### SC_NOT_IMPLEMENTED

          public static final int SC_NOT_IMPLEMENTED

      Status code (501) indicating the HTTP service does not support the functionality needed to fulfill the request.
      See Also:
        Constant Field Values

    - #### SC_BAD_GATEWAY

          public static final int SC_BAD_GATEWAY

      Status code (502) indicating that the HTTP server received an invalid response from a server it consulted when acting as a proxy or gateway.
      See Also:
        Constant Field Values

    - #### SC_SERVICE_UNAVAILABLE

          public static final int SC_SERVICE_UNAVAILABLE

      Status code (503) indicating that the HTTP service is temporarily overloaded, and unable to handle the request.
      See Also:
        Constant Field Values

    - #### SC_CONTINUE

          public static final int SC_CONTINUE

      Status code (100) indicating the client may continue with its request. This interim response is used to inform the client that the initial part of the request has been received and has not yet been rejected by the server.
      See Also:
        Constant Field Values

    - #### SC_METHOD_NOT_ALLOWED

          public static final int SC_METHOD_NOT_ALLOWED

      Status code (405) indicating the method specified is not allowed for the resource.
      See Also:
        Constant Field Values

    - #### SC_CONFLICT

          public static final int SC_CONFLICT

      Status code (409) indicating that the request could not be completed due to a conflict with the current state of the resource.
      See Also:
        Constant Field Values

    - #### SC_PRECONDITION_FAILED

          public static final int SC_PRECONDITION_FAILED

      Status code (412) indicating the precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.
      See Also:
        Constant Field Values

    - #### SC_REQUEST_TOO_LONG

          public static final int SC_REQUEST_TOO_LONG

      Status code (413) indicating the server is refusing to process a request because the request entity is larger than the server is willing or able to process.
      See Also:
        Constant Field Values

    - #### SC_UNSUPPORTED_MEDIA_TYPE

          public static final int SC_UNSUPPORTED_MEDIA_TYPE

      Status code (415) indicating the server is refusing to service the request because the entity of the request is in a format not supported by the requested resource for the requested method.
      See Also:
        Constant Field Values

    - #### SC_FAILED_DEPENDENCY

          public static final int SC_FAILED_DEPENDENCY

      The 424 (Failed Dependency) status code means that the method could not be performed on the resource because the requested action depended on another action and that action failed. For example, if a command in a PROPPATCH method fails then, at minimum the rest of the commands will also fail with 424 (Failed Dependency).
      See Also:
        Constant Field Values

    - #### SC_MULTI_STATUS

          public static final int SC_MULTI_STATUS

      Status code (207) indicating that the response requires providing status for multiple independent operations.
      See Also:
        Constant Field Values

    - #### SC_UNPROCESSABLE_ENTITY

          public static final int SC_UNPROCESSABLE_ENTITY

      Status code (418) indicating the entity body submitted with the PATCH method was not understood by the resource.
      See Also:
        Constant Field Values

    - #### SC_INSUFFICIENT_SPACE_ON_RESOURCE

          public static final int SC_INSUFFICIENT_SPACE_ON_RESOURCE

      Status code (419) indicating that the resource does not have sufficient space to record the state of the resource after the execution of this method.
      See Also:
        Constant Field Values

    - #### SC_METHOD_FAILURE

          public static final int SC_METHOD_FAILURE

      Status code (420) indicating the method was not executed on a particular resource within its scope because some part of the method's execution failed causing the entire method to be aborted.
      See Also:
        Constant Field Values

    - #### SC_LOCKED

          public static final int SC_LOCKED

      Status code (423) indicating the destination resource of a method is locked, and either the request did not contain a valid Lock-Info header, or the Lock-Info header identifies a lock held by another principal.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebdavStatus

          public WebdavStatus()

  - ### Method Detail

    - #### getStatusText

          public static String getStatusText(int nHttpStatusCode)

      Returns the HTTP status text for the HTTP or WebDav status code specified by looking it up in the static mapping. This is a static function.
      Parameters:
        `nHttpStatusCode` - [IN] HTTP or WebDAV status code
      Returns:
        A string with a short descriptive phrase for the HTTP status code (e.g., "OK").

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.